# Uses of Class
javax.net.ssl.SSLKeyException

Packages that use SSLKeyException
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of SSLKeyException in javax.net.ssl

Methods in javax.net.ssl that throw SSLKeyException
Modifier and Type
Method
Description
`byte[]`
ExtendedSSLSession.`exportKeyingMaterialData(String label, byte[] context, int length)`
Generates Exported Keying Material (EKM) calculated according to the algorithms defined in RFCs 5705/8446.
`SecretKey`
ExtendedSSLSession.`exportKeyingMaterialKey(String keyAlg, String label, byte[] context, int length)`
Generates Exported Keying Material (EKM) calculated according to the algorithms defined in RFCs 5705/8446.